TODO #10722

Lolipopエコノミー(SQLite)+3.0.7でbootstrap.phpのエラー表示

内場 龍彦ほぼ2年前に追加.

ステータス:担当開始日:
優先度:通常期日:
担当者:-進捗率:

0%

カテゴリ:-
対象バージョン:-

説明

http://forum.basercms.net/modules/newbb/viewtopic.php?topic_id=2058&forum=8

3.0.7をLolipopエコノミー(SQLite)で使用中、デバッグモード1にて管理画面上部に下記エラー表示が出ました。
Warning (2): array_merge(): Argument #1 is not an array [CORE/Baser/Config/bootstrap.php, line 83]

lib/Bacer/Config/bootstrap.phpの該当箇所(83行目)アセットフィルターの1行をコメントアウトすると直りました。

---
/**
  • アセットフィルターを追加
    */
  1. Configure::write('Dispatcher.filters', array_merge(Configure::read('Dispatcher.filters'), array('BcAssetDispatc
    ---

また、ローカルのXAMPP(MariaDB)では上記修正無しで一度ユーザーログアウトした後ログインし直すとエラー表示が消えました。
LolipopのSQLite上で起こるエラーかもしれません。念のためご報告させて頂きます。

他の形式にエクスポート: Atom PDF